DIT
curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/equifax/auth/dit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_ip": "793.345.234.0",
"email": "john_smith@email.com",
"first_name": "John",
"last_name": "Smith",
"ssn": "091230909",
"address_line": "3 Avenue",
"city": "New York",
"state": "NY",
"postal_code": "30030",
"address_line_2": "Street 1"
}
'import requests
url = "https://staging.debt-wise.com/api/users/{id}/equifax/auth/dit"
payload = {
"device_ip": "793.345.234.0",
"email": "john_smith@email.com",
"first_name": "John",
"last_name": "Smith",
"ssn": "091230909",
"address_line": "3 Avenue",
"city": "New York",
"state": "NY",
"postal_code": "30030",
"address_line_2": "Street 1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_ip: '793.345.234.0',
email: 'john_smith@email.com',
first_name: 'John',
last_name: 'Smith',
ssn: '091230909',
address_line: '3 Avenue',
city: 'New York',
state: 'NY',
postal_code: '30030',
address_line_2: 'Street 1'
})
};
fetch('https://staging.debt-wise.com/api/users/{id}/equifax/auth/dit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "validation_error",
"message": "Decision Deny"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Equifax
DIT
DIT - is a digital identity trust flow. It is required for use in 2 cases:
- When standard flow returns an error and cannot be finished.
- When user mark some of the data as invalid after receiving the Identity response.
POST
/
api
/
users
/
{id}
/
equifax
/
auth
/
dit
DIT
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
Body
application/json
User's IP address
Minimum string length:
7Example:
"793.345.234.0"
User's email
Example:
"john_smith@email.com"
User's first name
Example:
"John"
User's last name
Example:
"Smith"
User's Social Security Number
Required string length:
8 - 9Example:
"091230909"
User's address line
Example:
"3 Avenue"
User's city
Example:
"New York"
User's state
Required string length:
2Example:
"NY"
User's postal code
Example:
"30030"
User's second address line
Example:
"Street 1"
Response
Success